Bug 496831 - zoneminder-1.24.1 queries devices using V4L VIDIOCGCAP instead of V4L2 VIDIOC_QUERYCAP
zoneminder-1.24.1 queries devices using V4L VIDIOCGCAP instead of V4L2 VIDIOC...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: zoneminder (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Martin Ebourne
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 07:34 EDT by major
Modified: 2010-06-28 08:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:08:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description major 2009-04-21 07:34:50 EDT
When accessing a webcam that uses the sn9c102 driver, using "strace -f zmu -d /dev/video0 -q -v" shows the following.

##########
open("/dev/video0", O_RDWR)             = 5
ioctl(5, EXT2_IOC_GETVERSION or VIDIOCGCAP, 0x7ffff41c64e0) = -1 EINVAL (Invalid argument)
##########

Although other functions are wrapped for using V4L2, the use of V4L VIDIOCGCAP is hardcoded in the "LocalCamera::GetCurrentSettings" function in "src/zm_local_camera.cpp".

ZoneMinder will fail to use any V4L2-only camera drivers, such as the sn9c102.
Comment 1 Bug Zapper 2009-06-09 10:17:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Martin Ebourne 2009-06-15 20:28:07 EDT
ZoneMinder has been upgraded to 1.24.1 for Fedora 11, which includes a major upgrade from the Fedora 10 version. Please test again with this new version to see if the camera works now.

After testing if the issue still persists then please take it upstream to the
forums on zoneminder.org. (Upstream does not have a bug tracker.) Unfortunately
the Fedora project only has the resources to package ZoneMinder, not develop
new features and fix bugs (unless they are Fedora specific).
Comment 3 Bug Zapper 2010-04-27 09:51:01 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 08:08:40 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.